Texa Desk Application API · Account Agent bots
List all AgentBots
GET/
List all agent bots available for the current account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Responses
200Success
idnumberID of the agent bot
namestringThe name of the agent bot
descriptionstringThe description about the agent bot
thumbnailstringThe thumbnail of the agent bot
outgoing_urlstringThe webhook URL for the bot
bot_typestringThe type of the bot
bot_configobjectThe configuration of the bot
account_idnumberAccount ID if it's an account specific bot
access_tokenstringThe access token for the bot
system_botbooleanWhether the bot is a system bot
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring